Sign inGet started

Organization roles

GET
/organizations/{organizationId}/iam-roles
List the IAM roles that are defined for this organization.
Parametry zapytania
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Treść odpowiedzi
results
array of object
wymagane
List of roles.
Pokaż atrybuty podrzędne
results.accessKeysDependencyCount
integer
wymagane
The number of access keys this role is assigned to.
results.actions
array of object
Actions this role contains.
Pokaż atrybuty podrzędne
results.actions.name
string
wymagane
The name of the action.
results.actions.type
string
wymagane
The type that the action belongs to.
results.createdAt
string
wymagane
When this role was created.
results.description
string
Role description.
results.id
string
wymagane
ID of the role.
results.metadata
object
Metadata for the IAM Role.
Pokaż atrybuty podrzędne
results.metadata.clouds
array of string
results.name
string
wymagane
Role name.
results.organizationId
string
ID of the organization to which this role belongs.
results.policies
array of object
wymagane
IAM Policies this role contains.
Pokaż atrybuty podrzędne
The IAM policy record.
results.policies.createdAt
string
wymagane
When the IAM Policy was created.
results.policies.definitions
array of object
wymagane
List of IAM Policy definitions.
Pokaż atrybuty podrzędne
results.policies.definitions.actions
array of string
wymagane
A list of actions
results.policies.definitions.conditionsAll
array of object
Pokaż atrybuty podrzędne
results.policies.definitions.conditionsAll.any
object
results.policies.definitions.effect
string
wymagane
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
results.policies.definitions.resources
array of string
wymagane
A list of resources
results.policies.description
string
IAM Policy description.
results.policies.id
string
wymagane
ID of the IAM Policy.
results.policies.metadata
object
Metadata for the IAM Policy.
Pokaż atrybuty podrzędne
results.policies.metadata.apps
array of string
results.policies.metadata.clouds
array of string
results.policies.metadata.groups
array of string
results.policies.name
string
wymagane
IAM Policy name.
results.policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
results.policies.scope
string
wymagane
The scope to which this policy applies.
Possible values: organization, root
results.policies.updatedAt
string
wymagane
When the IAM Policy was last updated.
results.policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
results.type
string
wymagane
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
results.updatedAt
string
wymagane
When this role was last updated.
results.usersDependencyCount
integer
wymagane
The number of users this role is assigned to.
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/iam-roles
Create a new IAM role for this organization.
Treść żądania
name
string
wymagane
Role name.
description
string
Role description.
policies
array of object
wymagane
IAM Policies this role contains.
Pokaż parametry podrzędne
policies.id
string
wymagane
ID of the IAM Policy.
policies.type
string
wymagane
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
Treść odpowiedzi
accessKeysDependencyCount
integer
wymagane
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Pokaż atrybuty podrzędne
actions.name
string
wymagane
The name of the action.
actions.type
string
wymagane
The type that the action belongs to.
createdAt
string
wymagane
When this role was created.
description
string
Role description.
id
string
wymagane
ID of the role.
metadata
object
Metadata for the IAM Role.
Pokaż atrybuty podrzędne
metadata.clouds
array of string
name
string
wymagane
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
wymagane
IAM Policies this role contains.
Pokaż atrybuty podrzędne
The IAM policy record.
policies.createdAt
string
wymagane
When the IAM Policy was created.
policies.definitions
array of object
wymagane
List of IAM Policy definitions.
Pokaż atrybuty podrzędne
policies.definitions.actions
array of string
wymagane
A list of actions
policies.definitions.conditionsAll
array of object
Pokaż atrybuty podrzędne
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
wymagane
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
wymagane
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
wymagane
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Pokaż atrybuty podrzędne
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
wymagane
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
wymagane
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
wymagane
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
type
string
wymagane
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
wymagane
When this role was last updated.
usersDependencyCount
integer
wymagane
The number of users this role is assigned to.
Przykład kodu
curl -X POST 'https://api.bird.com/organizations/{organizationId}/iam-roles' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/iam-roles/{roleId}
Retrieve a single IAM role.
Treść odpowiedzi
accessKeysDependencyCount
integer
wymagane
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Pokaż atrybuty podrzędne
actions.name
string
wymagane
The name of the action.
actions.type
string
wymagane
The type that the action belongs to.
createdAt
string
wymagane
When this role was created.
description
string
Role description.
id
string
wymagane
ID of the role.
metadata
object
Metadata for the IAM Role.
Pokaż atrybuty podrzędne
metadata.clouds
array of string
name
string
wymagane
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
wymagane
IAM Policies this role contains.
Pokaż atrybuty podrzędne
The IAM policy record.
policies.createdAt
string
wymagane
When the IAM Policy was created.
policies.definitions
array of object
wymagane
List of IAM Policy definitions.
Pokaż atrybuty podrzędne
policies.definitions.actions
array of string
wymagane
A list of actions
policies.definitions.conditionsAll
array of object
Pokaż atrybuty podrzędne
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
wymagane
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
wymagane
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
wymagane
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Pokaż atrybuty podrzędne
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
wymagane
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
wymagane
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
wymagane
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
type
string
wymagane
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
wymagane
When this role was last updated.
usersDependencyCount
integer
wymagane
The number of users this role is assigned to.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/iam-roles/{roleId}
Remove an IAM role from the organization.
Przykład kodu
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/iam-roles/{roleId}
Update an IAM role's properties.
Treść żądania
name
string
Role name.
description
string
Role description.
policies
array of object
IAM Policies this role contains.
Pokaż parametry podrzędne
policies.id
string
wymagane
ID of the IAM Policy.
policies.type
string
wymagane
The type of policy, managed indicates it's controlled by the platform.
Possible values: managed, organization
actions
array of object
Actions this role contains.
Pokaż parametry podrzędne
actions.name
string
wymagane
The name of the action.
actions.type
string
wymagane
The type that the action belongs to.
Treść odpowiedzi
accessKeysDependencyCount
integer
wymagane
The number of access keys this role is assigned to.
actions
array of object
Actions this role contains.
Pokaż atrybuty podrzędne
actions.name
string
wymagane
The name of the action.
actions.type
string
wymagane
The type that the action belongs to.
createdAt
string
wymagane
When this role was created.
description
string
Role description.
id
string
wymagane
ID of the role.
metadata
object
Metadata for the IAM Role.
Pokaż atrybuty podrzędne
metadata.clouds
array of string
name
string
wymagane
Role name.
organizationId
string
ID of the organization to which this role belongs.
policies
array of object
wymagane
IAM Policies this role contains.
Pokaż atrybuty podrzędne
The IAM policy record.
policies.createdAt
string
wymagane
When the IAM Policy was created.
policies.definitions
array of object
wymagane
List of IAM Policy definitions.
Pokaż atrybuty podrzędne
policies.definitions.actions
array of string
wymagane
A list of actions
policies.definitions.conditionsAll
array of object
Pokaż atrybuty podrzędne
policies.definitions.conditionsAll.any
object
policies.definitions.effect
string
wymagane
The outcome of the definition if a combination of the resources and actions match.
Possible values: allow, deny
policies.definitions.resources
array of string
wymagane
A list of resources
policies.description
string
IAM Policy description.
policies.id
string
wymagane
ID of the IAM Policy.
policies.metadata
object
Metadata for the IAM Policy.
Pokaż atrybuty podrzędne
policies.metadata.apps
array of string
policies.metadata.clouds
array of string
policies.metadata.groups
array of string
policies.name
string
wymagane
IAM Policy name.
policies.rolesDependencyCount
integer
The number of IAM Roles that depend on this IAM policy.
policies.scope
string
wymagane
The scope to which this policy applies.
Possible values: organization, root
policies.updatedAt
string
wymagane
When the IAM Policy was last updated.
policies.usersDependencyCount
integer
The number of users that depend on this IAM policy.
type
string
wymagane
Whether this role is managed by MessageBird or by the organization.
Possible values: organization, managed
updatedAt
string
wymagane
When this role was last updated.
usersDependencyCount
integer
wymagane
The number of users this role is assigned to.
Przykład kodu
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/iam-roles/{roleId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'